Bug 1000213 - [abrt] evolution-data-server-3.8.3-1.fc19: g_ascii_strcasecmp: Process /usr/libexec/evolution-addressbook-factory was killed by signal 11 (SIGSEGV) [NEEDINFO]
[abrt] evolution-data-server-3.8.3-1.fc19: g_ascii_strcasecmp: Process /usr/l...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: evolution-data-server (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Milan Crha
Fedora Extras Quality Assurance
abrt_hash:f9deb6637727478b779a89241fa...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-22 20:54 EDT by marconiadsf
Modified: 2015-02-17 11:52 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 11:52:58 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mcrha: needinfo? (marconiadsf)


Attachments (Terms of Use)
File: backtrace (89.98 KB, text/plain)
2013-08-22 20:54 EDT, marconiadsf
no flags Details
File: cgroup (140 bytes, text/plain)
2013-08-22 20:54 EDT, marconiadsf
no flags Details
File: core_backtrace (1.37 KB, text/plain)
2013-08-22 20:54 EDT, marconiadsf
no flags Details
File: dso_list (3.57 KB, text/plain)
2013-08-22 20:54 EDT, marconiadsf
no flags Details
File: environ (934 bytes, text/plain)
2013-08-22 20:54 EDT, marconiadsf
no flags Details
File: limits (1.29 KB, text/plain)
2013-08-22 20:54 EDT, marconiadsf
no flags Details
File: maps (102.85 KB, text/plain)
2013-08-22 20:54 EDT, marconiadsf
no flags Details
File: open_fds (941 bytes, text/plain)
2013-08-22 20:54 EDT, marconiadsf
no flags Details
File: proc_pid_status (938 bytes, text/plain)
2013-08-22 20:54 EDT, marconiadsf
no flags Details
File: var_log_messages (443 bytes, text/plain)
2013-08-22 20:54 EDT, marconiadsf
no flags Details

  None (edit)
Description marconiadsf 2013-08-22 20:54:20 EDT
Version-Release number of selected component:
evolution-data-server-3.8.3-1.fc19

Additional info:
reporter:       libreport-2.1.6
backtrace_rating: 4
cmdline:        /usr/libexec/evolution-addressbook-factory
crash_function: g_ascii_strcasecmp
executable:     /usr/libexec/evolution-addressbook-factory
kernel:         3.9.5-301.fc19.x86_64
runlevel:       N 5
uid:            1000

Truncated backtrace:
Thread no. 1 (3 frames)
 #0 g_ascii_strcasecmp at /lib64/libglib-2.0.so.0
 #1 e_vcard_remove_attributes at /lib64/libebook-contacts-1.2.so.0
 #2 gdata_entry_update_from_e_contact at /usr/lib64/evolution-data-server/addressbook-backends/libebookbackendgoogle.so
Comment 1 marconiadsf 2013-08-22 20:54:24 EDT
Created attachment 789408 [details]
File: backtrace
Comment 2 marconiadsf 2013-08-22 20:54:27 EDT
Created attachment 789409 [details]
File: cgroup
Comment 3 marconiadsf 2013-08-22 20:54:30 EDT
Created attachment 789410 [details]
File: core_backtrace
Comment 4 marconiadsf 2013-08-22 20:54:33 EDT
Created attachment 789411 [details]
File: dso_list
Comment 5 marconiadsf 2013-08-22 20:54:36 EDT
Created attachment 789412 [details]
File: environ
Comment 6 marconiadsf 2013-08-22 20:54:39 EDT
Created attachment 789413 [details]
File: limits
Comment 7 marconiadsf 2013-08-22 20:54:43 EDT
Created attachment 789414 [details]
File: maps
Comment 8 marconiadsf 2013-08-22 20:54:46 EDT
Created attachment 789415 [details]
File: open_fds
Comment 9 marconiadsf 2013-08-22 20:54:49 EDT
Created attachment 789416 [details]
File: proc_pid_status
Comment 10 marconiadsf 2013-08-22 20:54:52 EDT
Created attachment 789417 [details]
File: var_log_messages
Comment 11 Milan Crha 2013-08-23 01:40:28 EDT
Thanks for a bug report. I donot see much from the backtrace, only that it's crashing within your Google address book. There were done some fixes meanwhile, definitely between yours 3.8.3 and current stable 3.8.5, thus I suggest to update your evolution and evolution-data-server, then restart the machine (maybe you already updated, because the var_log_messages claim the evolution-addressbook-factory file being deleted). In any case, please update to the current stable version and retry. If you find this still crashing, please provide also steps for a reproducer, or at least a rough actions you did before the crash. Thanks in advance.
Comment 12 Fedora Admin XMLRPC Client 2014-09-04 10:32:02 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 13 Fedora End Of Life 2015-01-09 14:33:42 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 14 Fedora End Of Life 2015-02-17 11:52:58 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.